AS_RUN(1)

NAME
as_run - as_run command

SYNOPSIS
A short usage summary.

as_run action [ options ] [ arguments ]

DESCRIPTION
This manual page documents briefly the as_run command

FUNCTIONS

as_run --getop [options] commande[.capy]
    Return the main subroutine of a code_aster command

as_run --getversion [options]
    - Return current release number of the development version

as_run --get [options] obj1 [obj2...]
    Copy a source file in current directory

as_run --show [options] obj1 [obj2...]
    Show a source file : fortran, c, python, capy, cata, histor or test

as_run --diff [options] obj1 [obj2...]
    Show the diff of a source file : fortran, c, python, capy, cata or test

as_run --get_export testcase_name
    Build an export file to run a testcase and print it to stdout

as_run --make [--vers=VERS] [target]
    Build a code_aster version (executable, libraries, catalogues). target may be all or clean

as_run --update [options] fich1.tar.gz [fich2.tar.gz...]
    Perform one or several updates of a development version

as_run --auto_update [--vers=...] [--force_upgrade] [--keep_increment] [other options]
    Download available updates from a server and apply them to the current development version

as_run --astk_update [options]
    Download available updates from a server and update astk/as_run itself

as_run --diag [--astest_dir=DIR1,[DIR2]] [--test_list=LIST] [--only_nook] [diag_result.pick]
    Build the diagnosis of code_aster testcases (from dir or default astest directory) and write a pickled file of the result.

as_run --list [--all] [--test_list=FILE] [--filter=...] [--command=...] [--user_filter=...] [test1 [test2 ..]]
    Build a list of testcases using a list of command/keywords and/or verifying some criterias about cputime or memory.

as_run --ctags [--vers=VERS]
    Build ctags file

as_run --messages subroutine | message_number | check [--fort=...] [--python=...] [--unigest=...] | move old_msgid new_msgid
    Operation on code_aster messages catalogues. subroutine returns messages called by "subroutine". message_number returns subroutines calling this message. check returns check messages catalogues and print some stats. move a message from a catalogue to another and produce new catalogues and new source files.

as_run --sendmail [--report_to=EMAIL1,EMAIL2] filename
    Send the content of filename (may be on a remote host) to EMAIL1,EMAIL2,..

as_run --get_infos host1 [host2 [...]]
    Return cpu and memory informations about given hosts

as_run --run [options] profile
    Execute the execution described by the profile (default action)

as_run --serv user@mach:/nom_profil.export
    Start an execution (calling as_run in a separate process)

as_run --info
    Returns informations from astk server configuration : batch, interactive (yes/no, limits), compute nodes, versions

as_run --actu job_number job_name mode
    Returns the state, diagnosis, execution node, spent cpu time and working directory of a job

as_run --edit job_number job_name mode output|error DISPLAY
    Opens output or error file on the provided display

as_run --tail job_number job_name mode fdest nb_lines [regexp]
    Output the last part of fort.6 file or filter lines matching a pattern

as_run --del job_number job_name mode [node] [--signal=...]
    Kill a job and delete related files

as_run --purge_flash job_number1 [job_number2 [...]]]
    Delete files of jobs which are not in the list

as_run --create_issue issue_file [export_file]
    Insert a new issue in database and copy attached files if an export file is provided

as_run --extract_histor [--status=STAT] [--format=FORM] [--all_msg] input_file histor
    Extract the content of issues listed in input_file to histor

as_run --close_issue --vers=VERS histor
    Fill "corrvdev" or "corrvexpl" field (depends on vers) in issues found in histor and eventually close them

as_run --insert_in_db [export_file]
    Prepare the profile to insert an execution into a database.

OPTIONS

  General options

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    increase verbosity

--silent
    run as silent as possible

-g, --debug
    print debugging information

--nodebug_stderr
    disable printing of debugging information to stderr

-f, --force
    force operations which can be cached (download,
                  compilation...)

--display=DISPLAY
    value of DISPLAY variable (NOTE : some functions read
                  it from a file)

--rcdir=SUFFIX
    use resources directory $HOME/.astkrc_'SUFFIX'

--remote_shell_protocol=REMOTE_SHELL_PROTOCOL
    remote protocol used for shell commands

--remote_copy_protocol=REMOTE_COPY_PROTOCOL
    remote protocol used to copy files and directories

--editor=EDITOR
    editor command

--devel_server_user=DEVEL_SERVER_USER
    login on the development server (name/ip address is
                  usually set in /etc/codeaster/asrun)

  Options for maintenance operations

--filter=FILTER
    filters applied to the testcases parameters :
                'nom_para < valeur' (supported comparison <, >, =).

--vers=VERS
    Code_Aster version to used (for get, show, getop)

--force_upgrade
    Force upgrade to the next release (for example from
                10.1.xx to 10.2.0)

-o FILE, --output=FILE
    redirect the result to FILE instead of stdout.

--surch_pyt=REP
    one or more directories (comma separated) containing
                additionnal python source files

--config=FILE
    use another "config.txt" file (only used for make,
                update and auto_update).

--only_nook
    report only errors (but time spent by passed testcases
                is included)

--surch_fort=REP
    one or more directories (comma separated) containing
                additionnal fortran source files

-a, --all
    get all the files of the test

--destdir=DIR
    root directory to install

--keep_increment
    update a version increment by increment and keep
                intermediate executable

--search=REGEXP
    keep testcases matching the given regular expression
                (or simple string).

--unigest=FILE
    a unigest file (for deletion)

--command=COMMANDE[/MOTCLEFACT[/MOTCLE[=VALEUR]]]
    keep testcases using the given command and keywords.

--test_list=FILE
    list of the testcases

--report_to=EMAIL
    email address to send the report of a execution (only
                used for --auto_update)

--user_filter=FILE
    file containing testlist.FILTRE classes. See
                [...]/share/codeaster/asrun/examples/user_filter.py
                for an example.

--astest_dir=DIR
    testcases directory to watch

--version_dev=VERS
    development version of Code_Aster (for make, update, auto_update, getversion)

-l, --local
    files will not been searched on a server but on the local machine

-nolocal
    force remote files search (reverse of --local)

  Options for operations on jobs

--signal=SIGNAL
    signal to the job (KILL|USR1)

  Options for issue tracker interface

--status=STAT
    raise an error if issues are not in this status

--all_msg
    retrieve all the messages of issues

--format=FORM
    format of generated histor file (text or html)

FILES
/etc/codeaster    default configuration directory
/etc/codeaster/astkrc    default configuration directory for astk

AUTHOR
The Debian Scientific Computing Team